Summary:	The GNU patch command, for modifying/upgrading files
Name:		patch
Version:	2.5.9
Release:	%mkrel 9
License:	GPL
Group:		Text tools
URL:		http://www.gnu.org/directory/GNU/patch.html
Source0:	ftp://alpha.gnu.org/gnu/patch/%{name}-%{version}.tar.bz2
Patch1:		patch-2.5.8-sigsegv.patch
Patch2:		patch-2.5.4-unreadable_to_readable.patch
Patch3:		patch-2.5.8-stderr.patch
Patch5:		patch-2.5.4-destdir.patch
Patch6:		patch-2.5.9-format_not_a_string_literal_and_no_format_arguments.diff
# debian patches:
Patch100:	10_unified-reject-files.patch
Patch101:	20_global-reject-file.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The patch program applies diff files to originals.  The diff command
is used to compare an original to a changed file.  Diff lists the
changes made to the file.  A person who has the original file can then
use the patch command with the diff file to add the changes to their
original file (patching the file).

Patch should be installed because it is a common way of upgrading
applications.

%prep
%setup -q

%patch1 -p1 -b .sigsegv
%patch2 -p1 -b .unreadable_to_readable
%patch3 -p1 -b .stderr
%patch5 -p1 -b .destdir
%patch6 -p0 -b .format_not_a_string_literal_and_no_format_arguments

%patch100 -p1 -b .unified-reject-files
%patch101 -p1 -b .global-reject-file

%build
%configure 
%make

%install
rm -rf %{buildroot}

%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc NEWS README AUTHORS ChangeLog
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/*/*


%changelog
* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.5.9-9mdv2010.0
+ Revision: 426356
- rebuild

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.9-8mdv2009.1
+ Revision: 317535
- rediffed one fuzzy patch (P1)
- fix build with -Werror=format-security (P6)

* Tue Oct 28 2008 Pixel <pixel@mandriva.com> 2.5.9-7mdv2009.1
+ Revision: 297998
- cleanup unneeded hacks: remove -D_GNU_SOURCE (added for powerpc in 2000),
  remove --disable-largefile (added for sparcs in 2000)
- add patches from debian implementing --unified-reject-files (great!) and
--global-reject-file=file

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.5.9-6mdv2009.0
+ Revision: 223441
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.9-5mdv2008.1
+ Revision: 179121
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.9-4mdv2007.0
+ Revision: 119966
- Import patch

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.5.9-3mdk
- Rebuild

* Sat Aug 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5.9-2mdk
- drop useless prefix

